Page MenuHomePhabricator

mobile frontend log notice: Undefined property
Closed, ResolvedPublic

Description

Notice: Undefined property: MobilePage::$revisionTimestamp in /srv/mediawiki/php-1.28.0-wmf.22/extensions/MobileFrontend/includes/models/MobilePage.php on line 66

Event Timeline

Matanya created this task.Oct 13 2016, 12:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 12:26 AM
Matanya renamed this task from mobile frontend log notice to mobile frontend log notice: Undefined property.Oct 13 2016, 12:26 AM
jhobs added a subscriber: jhobs.EditedOct 13 2016, 8:16 PM

@Matanya Can you elaborate the description with some reproduction steps and/or where you're seeing the notice? I'm guessing in the logs? Browser/OS information would be helpful as well.

jhobs triaged this task as High priority.Oct 13 2016, 8:18 PM
jhobs moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.

I think all of matanya's log extracts come from logstash, but you should be able to find the same errors on fluorine

I go through logstash after deploys and try to find issues, before they blow. I saw this warning, and tought it would useful to report.

Yes, these need to be reported when found

Change 315964 had a related patch set uploaded (by Krinkle):
MobilePage: Fix undefined revisionTimestamp property

https://gerrit.wikimedia.org/r/315964

Change 315964 merged by jenkins-bot:
MobilePage: Fix undefined revisionTimestamp property

https://gerrit.wikimedia.org/r/315964

Error still occurs in production (321 times in the last 1000 errors on fatalmonitor), a backport to wmf22 is welcome.

Change 316585 had a related patch set uploaded (by Dereckson):
MobilePage: Fix undefined revisionTimestamp property

https://gerrit.wikimedia.org/r/316585

Change 316585 merged by jenkins-bot:
MobilePage: Fix undefined revisionTimestamp property

https://gerrit.wikimedia.org/r/316585

Dereckson closed this task as Resolved.EditedOct 18 2016, 11:11 PM

This change has been backported to 1.28.0-wmf.22 and deployed to the cluster.

Error occurences are decreasing in the logs.

23:15:25 < icinga-wm> RECOVERY - Esams HTTP 5xx reqs/min on graphite1001 is OK: OK: Less than 1.00% above the threshold [250.0]

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM